log4shib 2.0.0

Public Member Functions | Protected Member Functions | List of all members
log4shib::AbortAppender Class Reference

This Appender causes the application to abort() upon the first append() call. More...

`#include <AbortAppender.hh>`

Inheritance diagram for log4shib::AbortAppender:
[legend]
Collaboration diagram for log4shib::AbortAppender:
[legend]

## Public Member Functions
| AbortAppender (const std::string &name)
virtual | ~AbortAppender ()
virtual bool | reopen ()
| Reopens the output destination of this Appender, e.g. More...
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc. More...
virtual bool | requiresLayout () const
| The AbortAppender does not layout. More...
virtual void | setLayout (Layout *layout)
| Set the Layout for this appender. More...
Public Member Functions inherited from log4shib::AppenderSkeleton
virtual | ~AppenderSkeleton ()
| Destructor for AppenderSkeleton. More...
virtual void | doAppend (const LoggingEvent &event)
| Log in Appender specific way. More...
virtual bool | reopen ()
| Reopens the output destination of this Appender, e.g. More...
virtual void | close ()=0
| Release any resources allocated within the appender such as file handles, network connections, etc. More...
virtual bool | requiresLayout () const =0
| Check if the appender uses a layout. More...
virtual void | setLayout (Layout *layout)=0
| Set the Layout for this appender. More...
virtual void | setThreshold (Priority::Value priority)
| Set the threshold priority of this Appender. More...
virtual Priority::Value | getThreshold ()
| Get the threshold priority of this Appender. More...
virtual void | setFilter (Filter *filter)
| Set a Filter for this appender. More...
virtual Filter * | getFilter ()
| Get the Filter for this appender. More...
Public Member Functions inherited from log4shib::Appender
virtual | ~Appender ()
| Destructor for Appender. More...
virtual void | doAppend (const LoggingEvent &event)=0
| Log in Appender specific way. More...
virtual bool | reopen ()=0
| Reopens the output destination of this Appender, e.g. More...
virtual void | close ()=0
| Release any resources allocated within the appender such as file handles, network connections, etc. More...
virtual bool | requiresLayout () const =0
| Check if the appender uses a layout. More...
virtual void | setLayout (Layout *layout)=0
| Set the Layout for this appender. More...
const std::string & | getName () const
| Get the name of this appender. More...
virtual void | setThreshold (Priority::Value priority)=0
| Set the threshold priority of this Appender. More...
virtual Priority::Value | getThreshold ()=0
| Get the threshold priority of this Appender. More...
virtual void | setFilter (Filter *filter)=0
| Set a Filter for this appender. More...
virtual Filter * | getFilter ()=0
| Get the Filter for this appender. More...

## Protected Member Functions
virtual void | _append (const LoggingEvent &event)
| Log in Appender specific way. More...
Protected Member Functions inherited from log4shib::AppenderSkeleton
| AppenderSkeleton (const std::string &name)
| Constructor for AppenderSkeleton. More...
virtual void | _append (const LoggingEvent &event)=0
| Log in Appender specific way. More...
Protected Member Functions inherited from log4shib::Appender
| Appender (const std::string &name)
| Constructor for Appender. More...

## Additional Inherited Members
Static Public Member Functions inherited from log4shib::Appender
static Appender * | getAppender (const std::string &name)
| Get a pointer to an exitsing Appender. More...
static bool | reopenAll ()
| Call reopen() on all existing Appenders. More...
static void | closeAll ()
| Call reopen() on all existing Appenders. More...

## Detailed Description

This Appender causes the application to abort() upon the first append() call.

Since
  0.3.5

## Constructor & Destructor Documentation

## ◆ AbortAppender()

log4shib::AbortAppender::AbortAppender | ( | const std::string & | name | ) |

## ◆ ~AbortAppender()

log4shib::AbortAppender::~AbortAppender | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _append()

void log4shib::AbortAppender::_append | ( | const LoggingEvent & | event | ) |
| protected virtual

Log in Appender specific way.

Subclasses of Appender should implement this method to perform actual logging.

Parameters

  event | The LoggingEvent to log.

Implements log4shib::AppenderSkeleton.

## ◆ close()

void log4shib::AbortAppender::close | ( |  | ) |
| virtual

Release any resources allocated within the appender such as file handles, network connections, etc.

Implements log4shib::AppenderSkeleton.

## ◆ reopen()

bool log4shib::AbortAppender::reopen | ( |  | ) |
| virtual

Reopens the output destination of this Appender, e.g.

the logfile or TCP socket.

Returns
  false if an error occured during reopening, true otherwise.

Reimplemented from log4shib::AppenderSkeleton.

## ◆ requiresLayout()

bool log4shib::AbortAppender::requiresLayout | ( |  | ) | const
| virtual

The AbortAppender does not layout.

Returns
  false

Implements log4shib::AppenderSkeleton.

## ◆ setLayout()

void log4shib::AbortAppender::setLayout | ( | Layout * | layout | ) |
| virtual

Set the Layout for this appender.

Parameters

  layout | The layout to use.

Implements log4shib::AppenderSkeleton.

The documentation for this class was generated from the following files:

- AbortAppender.hh
- AbortAppender.cpp